Page MenuHomePhabricator

[sanitizer_common tests] Make Darwin a Posix system and bring the stable-runtime definition from ASan tests.
ClosedPublic

Authored by filcab on Mar 7 2016, 6:38 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

filcab updated this revision to Diff 49956.Mar 7 2016, 6:38 AM
filcab retitled this revision from to [sanitizer_common tests] Make Darwin a Posix system and bring the stable-runtime definition from ASan tests..
filcab updated this object.
filcab added a subscriber: llvm-commits.
filcab added a subscriber: filcab.Mar 7 2016, 6:47 AM

I will probably add freebsd to the unsupported line in
decorate_proc_maps.cc since procfs isn't mounted by default. Or we can
just move that test to /Linux…

Thank you,

Filipe
samsonov added inline comments.Mar 8 2016, 12:10 PM
test/sanitizer_common/TestCases/Posix/decorate_proc_maps.cc
3 ↗(On Diff #49956)

Right, let's move this to Linux/ directory instead.

test/sanitizer_common/lit.common.cfg
13 ↗(On Diff #49956)

Why add this only for asan?

filcab updated this revision to Diff 50141.Mar 9 2016, 7:47 AM

Address Samsonov's comments.

filcab updated this revision to Diff 50142.Mar 9 2016, 7:52 AM

Updated with MSan's definition of stable-runtime

samsonov added inline comments.Mar 9 2016, 3:47 PM
test/sanitizer_common/lit.common.cfg
13 ↗(On Diff #50142)

I mean, can you factor out this definition outside of "config.tool_name" conditions? It won't do harm for tsan/msan, as we don't build them for arm and armhf anyway, and I'm not sure we have a decent support for LSan as well.

Fair enough. I'll just factor out the definition and put the ARM
variants in the !stable-runtime camp.

Will upload in a bit.

Thank you,

Filipe
filcab updated this revision to Diff 50251.Mar 10 2016, 2:06 AM

Factored out the definition of stable-runtime

samsonov accepted this revision.Mar 10 2016, 10:34 AM
samsonov edited edge metadata.

LGTM with a nit. Thanks!

test/sanitizer_common/lit.common.cfg
26 ↗(On Diff #50251)
if config.target_arch not in ['arm', 'armhf', 'aarch64']:
  config.available_features.add('stable-runtime')

?

This revision is now accepted and ready to land.Mar 10 2016, 10:34 AM
This revision was automatically updated to reflect the committed changes.